import axios from '@/utils/axios'

export default {
 /**
   * 检索专利
   */
 patentSelectImport(params) {
    return axios.post('/v2/patentStar/select', params)
  },
  /**
   * 获取专利部分内容（1.权要 2.说明书文本 3.说明书pdf 4.摘要附图）
   */
 getPatentPart(params) {
    return axios.post('/v2/patentStar/getPatentPart', params)
  },

  /**
   * 新增检索历史
  */
  addRetrieveRecord(params) {
    return axios.post('/v2/RetrieveRecord/addRetrieveRecord', params)
  },
  /**
   * 查询检索历史
  */
  queryRetrieveRecord(params) {
    return axios.post('/v2/RetrieveRecord/queryRetrieveRecord', params)
  },
  /**
   * 更新检索历史
  */
  updateRetrieveRecord(params) {
    return axios.post('/v2/RetrieveRecord/updateRetrieveRecord', params)
  },
  /**
   * 更新检索历史
  */
  deleteRetrieveRecord(params) {
    return axios.post('/v2/RetrieveRecord/deleteRetrieveRecord', params)
  },
}